Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create public lead

POST/public/leads/{organizationId}
Path parameters
organizationIdstringrequired
Request body
application/json
emailstring<email>required
fullNamestring
companystring
dealNamestring
amountCentsinteger
min 0
currencystring
min length 3 · max length 3
messagestring
sourcestring
default: "form"
Responses
201

Lead accepted

customerIdstringrequired
dealIdstring
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/public/leads/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "user@example.com",
  "fullName": "string",
  "company": "string",
  "dealName": "string",
  "amountCents": 0,
  "currency": "str",
  "message": "string",
  "source": "form"
}'
Response
{
  "customerId": "string",
  "dealId": "string"
}